<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <title>Title</title>
    <style>
        .gradient-custom {
  /* fallback for old browsers */
  background: #6a11cb;

  /* Chrome 10-25, Safari 5.1-6 */
  background: -webkit-linear-gradient(to right, rgba(106, 17, 203, 1), rgba(37, 117, 252, 1));

  /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
  background: linear-gradient(to right, rgba(106, 17, 203, 1), rgba(37, 117, 252, 1))
}
    </style>
</head>
<body>
<section class="vh-100 gradient-custom">
<div class="container py-5 h-100">
    <div class="row d-flex justify-content-center align-items-center h-100">
        <div class="col-12 col-md-20 col-lg-20 col-xl-20">
            <div class="card bg-dark text-white" style="border-radius: 1rem;">
                <div class="card-body p-5 text-center">
                    <div class="mb-md-5 mt-md-4 pb-5">
<h1>Employee Dashboard</h1>
                        <div >
<button class="btn btn-outline-light btn-lg px-5" id="Show-Employee-Profile">Show My Profile</button>
<button class="btn btn-outline-light btn-lg px-5" id="Show-Employee-Reimbursement">Show My Reimbursements</button>
<button class="btn btn-outline-light btn-lg px-5" id="Show-Pending-Reimbursement">Show Pending Reimbursements</button>
<button class="btn btn-outline-light btn-lg px-5" id="Show-Approved-Reimbursement">Show Approved Reimbursements</button>
<button class="btn btn-outline-light btn-lg px-5" id="Show-Rejected-Reimbursement">Show Rejected Reimbursements</button>
                        </div>

<div padding="10px">
    <table class="table" id="Employee-Profile" hidden="true">
        <thead class="table-dark">
        <td scope="col">Id</td>
        <td scope="col">First Name</td>
        <td scope="col">Last Name</td>
        <td scope="col">Email</td>
        </thead>
        <tbody id ="tprofile">
        </tbody>
    </table>
    <table class="table" id="reimbursementTable" hidden="true">
        <thead class="table-dark">
            <td scope="col">Id</td>
            <td scope="col">Amount</td>
            <td scope="col">Reimbursement Info</td>
            <td scope="col">Employee </td>
            <td scope="col">Status</td>
        </thead>
        <tbody id ="tbody"> 
        </tbody>
    </table>
</div>
<div class="border border-white mt-4 col-md-12">
    <h3>Reimbursement Creation</h3>
    <form>
        <div class="form-group purple-border">
            <div id="error" hidden="true">Please enter a valid reimbursement!</div>
        <p>
            <input class="form-outline form-white mb-4" id ="amount" name="amount" type="number" step="0.01" value="0.00" placeholder="amount">
            <label for="amount">amount</label>
        </p>
        <p>
            <textarea  class="form-control" id="description" name="description" type="text" placeholder="description" rows="3"></textarea>
        </p>
        </div>
        <p>
            <button class="btn btn-outline-light btn-lg px-5" id="submit-btn" value="submit">Submit Reimbursement</button>
        </p>
    </form>

</div>
                        <button class="btn btn-outline-light btn-lg px-5 mt-4" class="request-btn" id="LogOut"> Logout </button>
<script src="Employee.js"></script>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</section>
</body>

</html>